Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network95.74.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
95.74.0.0
Broadcast address
95.74.127.255
First usable
95.74.0.1
Last usable
95.74.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 5F4A0000 · Integer 1598685184 to 1598717951
Reverse DNS zones
0.74.95.in-addr.arpa
1.74.95.in-addr.arpa
2.74.95.in-addr.arpa
3.74.95.in-addr.arpa
4.74.95.in-addr.arpa
5.74.95.in-addr.arpa
6.74.95.in-addr.arpa
7.74.95.in-addr.arpa
8.74.95.in-addr.arpa
9.74.95.in-addr.arpa
10.74.95.in-addr.arpa
11.74.95.in-addr.arpa
12.74.95.in-addr.arpa
13.74.95.in-addr.arpa
14.74.95.in-addr.arpa
15.74.95.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011111.01001010.00000000.0000000095.74.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network01011111.01001010.00000000.0000000095.74.0.0
Broadcast01011111.01001010.01111111.1111111195.74.127.255
Split into smaller subnets/29

95.74.0.0/17 makes 4,096 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
195.74.0.0/2995.74.0.1 to 95.74.0.695.74.0.76
295.74.0.8/2995.74.0.9 to 95.74.0.1495.74.0.156
395.74.0.16/2995.74.0.17 to 95.74.0.2295.74.0.236
495.74.0.24/2995.74.0.25 to 95.74.0.3095.74.0.316
595.74.0.32/2995.74.0.33 to 95.74.0.3895.74.0.396
695.74.0.40/2995.74.0.41 to 95.74.0.4695.74.0.476
795.74.0.48/2995.74.0.49 to 95.74.0.5495.74.0.556
895.74.0.56/2995.74.0.57 to 95.74.0.6295.74.0.636
995.74.0.64/2995.74.0.65 to 95.74.0.7095.74.0.716
1095.74.0.72/2995.74.0.73 to 95.74.0.7895.74.0.796
1195.74.0.80/2995.74.0.81 to 95.74.0.8695.74.0.876
1295.74.0.88/2995.74.0.89 to 95.74.0.9495.74.0.956
1395.74.0.96/2995.74.0.97 to 95.74.0.10295.74.0.1036
1495.74.0.104/2995.74.0.105 to 95.74.0.11095.74.0.1116
1595.74.0.112/2995.74.0.113 to 95.74.0.11895.74.0.1196
1695.74.0.120/2995.74.0.121 to 95.74.0.12695.74.0.1276
1795.74.0.128/2995.74.0.129 to 95.74.0.13495.74.0.1356
1895.74.0.136/2995.74.0.137 to 95.74.0.14295.74.0.1436
1995.74.0.144/2995.74.0.145 to 95.74.0.15095.74.0.1516
2095.74.0.152/2995.74.0.153 to 95.74.0.15895.74.0.1596
2195.74.0.160/2995.74.0.161 to 95.74.0.16695.74.0.1676
2295.74.0.168/2995.74.0.169 to 95.74.0.17495.74.0.1756
2395.74.0.176/2995.74.0.177 to 95.74.0.18295.74.0.1836
2495.74.0.184/2995.74.0.185 to 95.74.0.19095.74.0.1916
2595.74.0.192/2995.74.0.193 to 95.74.0.19895.74.0.1996
2695.74.0.200/2995.74.0.201 to 95.74.0.20695.74.0.2076
2795.74.0.208/2995.74.0.209 to 95.74.0.21495.74.0.2156
2895.74.0.216/2995.74.0.217 to 95.74.0.22295.74.0.2236
2995.74.0.224/2995.74.0.225 to 95.74.0.23095.74.0.2316
3095.74.0.232/2995.74.0.233 to 95.74.0.23895.74.0.2396
3195.74.0.240/2995.74.0.241 to 95.74.0.24695.74.0.2476
3295.74.0.248/2995.74.0.249 to 95.74.0.25495.74.0.2556
3395.74.1.0/2995.74.1.1 to 95.74.1.695.74.1.76
3495.74.1.8/2995.74.1.9 to 95.74.1.1495.74.1.156
3595.74.1.16/2995.74.1.17 to 95.74.1.2295.74.1.236
3695.74.1.24/2995.74.1.25 to 95.74.1.3095.74.1.316
3795.74.1.32/2995.74.1.33 to 95.74.1.3895.74.1.396
3895.74.1.40/2995.74.1.41 to 95.74.1.4695.74.1.476
3995.74.1.48/2995.74.1.49 to 95.74.1.5495.74.1.556
4095.74.1.56/2995.74.1.57 to 95.74.1.6295.74.1.636
4195.74.1.64/2995.74.1.65 to 95.74.1.7095.74.1.716
4295.74.1.72/2995.74.1.73 to 95.74.1.7895.74.1.796
4395.74.1.80/2995.74.1.81 to 95.74.1.8695.74.1.876
4495.74.1.88/2995.74.1.89 to 95.74.1.9495.74.1.956
4595.74.1.96/2995.74.1.97 to 95.74.1.10295.74.1.1036
4695.74.1.104/2995.74.1.105 to 95.74.1.11095.74.1.1116
4795.74.1.112/2995.74.1.113 to 95.74.1.11895.74.1.1196
4895.74.1.120/2995.74.1.121 to 95.74.1.12695.74.1.1276
4995.74.1.128/2995.74.1.129 to 95.74.1.13495.74.1.1356
5095.74.1.136/2995.74.1.137 to 95.74.1.14295.74.1.1436
5195.74.1.144/2995.74.1.145 to 95.74.1.15095.74.1.1516
5295.74.1.152/2995.74.1.153 to 95.74.1.15895.74.1.1596
5395.74.1.160/2995.74.1.161 to 95.74.1.16695.74.1.1676
5495.74.1.168/2995.74.1.169 to 95.74.1.17495.74.1.1756
5595.74.1.176/2995.74.1.177 to 95.74.1.18295.74.1.1836
5695.74.1.184/2995.74.1.185 to 95.74.1.19095.74.1.1916
5795.74.1.192/2995.74.1.193 to 95.74.1.19895.74.1.1996
5895.74.1.200/2995.74.1.201 to 95.74.1.20695.74.1.2076
5995.74.1.208/2995.74.1.209 to 95.74.1.21495.74.1.2156
6095.74.1.216/2995.74.1.217 to 95.74.1.22295.74.1.2236
6195.74.1.224/2995.74.1.225 to 95.74.1.23095.74.1.2316
6295.74.1.232/2995.74.1.233 to 95.74.1.23895.74.1.2396
6395.74.1.240/2995.74.1.241 to 95.74.1.24695.74.1.2476
6495.74.1.248/2995.74.1.249 to 95.74.1.25495.74.1.2556
6595.74.2.0/2995.74.2.1 to 95.74.2.695.74.2.76
6695.74.2.8/2995.74.2.9 to 95.74.2.1495.74.2.156
6795.74.2.16/2995.74.2.17 to 95.74.2.2295.74.2.236
6895.74.2.24/2995.74.2.25 to 95.74.2.3095.74.2.316
6995.74.2.32/2995.74.2.33 to 95.74.2.3895.74.2.396
7095.74.2.40/2995.74.2.41 to 95.74.2.4695.74.2.476
7195.74.2.48/2995.74.2.49 to 95.74.2.5495.74.2.556
7295.74.2.56/2995.74.2.57 to 95.74.2.6295.74.2.636
7395.74.2.64/2995.74.2.65 to 95.74.2.7095.74.2.716
7495.74.2.72/2995.74.2.73 to 95.74.2.7895.74.2.796
7595.74.2.80/2995.74.2.81 to 95.74.2.8695.74.2.876
7695.74.2.88/2995.74.2.89 to 95.74.2.9495.74.2.956
7795.74.2.96/2995.74.2.97 to 95.74.2.10295.74.2.1036
7895.74.2.104/2995.74.2.105 to 95.74.2.11095.74.2.1116
7995.74.2.112/2995.74.2.113 to 95.74.2.11895.74.2.1196
8095.74.2.120/2995.74.2.121 to 95.74.2.12695.74.2.1276
8195.74.2.128/2995.74.2.129 to 95.74.2.13495.74.2.1356
8295.74.2.136/2995.74.2.137 to 95.74.2.14295.74.2.1436
8395.74.2.144/2995.74.2.145 to 95.74.2.15095.74.2.1516
8495.74.2.152/2995.74.2.153 to 95.74.2.15895.74.2.1596
8595.74.2.160/2995.74.2.161 to 95.74.2.16695.74.2.1676
8695.74.2.168/2995.74.2.169 to 95.74.2.17495.74.2.1756
8795.74.2.176/2995.74.2.177 to 95.74.2.18295.74.2.1836
8895.74.2.184/2995.74.2.185 to 95.74.2.19095.74.2.1916
8995.74.2.192/2995.74.2.193 to 95.74.2.19895.74.2.1996
9095.74.2.200/2995.74.2.201 to 95.74.2.20695.74.2.2076
9195.74.2.208/2995.74.2.209 to 95.74.2.21495.74.2.2156
9295.74.2.216/2995.74.2.217 to 95.74.2.22295.74.2.2236
9395.74.2.224/2995.74.2.225 to 95.74.2.23095.74.2.2316
9495.74.2.232/2995.74.2.233 to 95.74.2.23895.74.2.2396
9595.74.2.240/2995.74.2.241 to 95.74.2.24695.74.2.2476
9695.74.2.248/2995.74.2.249 to 95.74.2.25495.74.2.2556
9795.74.3.0/2995.74.3.1 to 95.74.3.695.74.3.76
9895.74.3.8/2995.74.3.9 to 95.74.3.1495.74.3.156
9995.74.3.16/2995.74.3.17 to 95.74.3.2295.74.3.236
10095.74.3.24/2995.74.3.25 to 95.74.3.3095.74.3.316
10195.74.3.32/2995.74.3.33 to 95.74.3.3895.74.3.396
10295.74.3.40/2995.74.3.41 to 95.74.3.4695.74.3.476
10395.74.3.48/2995.74.3.49 to 95.74.3.5495.74.3.556
10495.74.3.56/2995.74.3.57 to 95.74.3.6295.74.3.636
10595.74.3.64/2995.74.3.65 to 95.74.3.7095.74.3.716
10695.74.3.72/2995.74.3.73 to 95.74.3.7895.74.3.796
10795.74.3.80/2995.74.3.81 to 95.74.3.8695.74.3.876
10895.74.3.88/2995.74.3.89 to 95.74.3.9495.74.3.956
10995.74.3.96/2995.74.3.97 to 95.74.3.10295.74.3.1036
11095.74.3.104/2995.74.3.105 to 95.74.3.11095.74.3.1116
11195.74.3.112/2995.74.3.113 to 95.74.3.11895.74.3.1196
11295.74.3.120/2995.74.3.121 to 95.74.3.12695.74.3.1276
11395.74.3.128/2995.74.3.129 to 95.74.3.13495.74.3.1356
11495.74.3.136/2995.74.3.137 to 95.74.3.14295.74.3.1436
11595.74.3.144/2995.74.3.145 to 95.74.3.15095.74.3.1516
11695.74.3.152/2995.74.3.153 to 95.74.3.15895.74.3.1596
11795.74.3.160/2995.74.3.161 to 95.74.3.16695.74.3.1676
11895.74.3.168/2995.74.3.169 to 95.74.3.17495.74.3.1756
11995.74.3.176/2995.74.3.177 to 95.74.3.18295.74.3.1836
12095.74.3.184/2995.74.3.185 to 95.74.3.19095.74.3.1916
12195.74.3.192/2995.74.3.193 to 95.74.3.19895.74.3.1996
12295.74.3.200/2995.74.3.201 to 95.74.3.20695.74.3.2076
12395.74.3.208/2995.74.3.209 to 95.74.3.21495.74.3.2156
12495.74.3.216/2995.74.3.217 to 95.74.3.22295.74.3.2236
12595.74.3.224/2995.74.3.225 to 95.74.3.23095.74.3.2316
12695.74.3.232/2995.74.3.233 to 95.74.3.23895.74.3.2396
12795.74.3.240/2995.74.3.241 to 95.74.3.24695.74.3.2476
12895.74.3.248/2995.74.3.249 to 95.74.3.25495.74.3.2556
12995.74.4.0/2995.74.4.1 to 95.74.4.695.74.4.76
13095.74.4.8/2995.74.4.9 to 95.74.4.1495.74.4.156
13195.74.4.16/2995.74.4.17 to 95.74.4.2295.74.4.236
13295.74.4.24/2995.74.4.25 to 95.74.4.3095.74.4.316
13395.74.4.32/2995.74.4.33 to 95.74.4.3895.74.4.396
13495.74.4.40/2995.74.4.41 to 95.74.4.4695.74.4.476
13595.74.4.48/2995.74.4.49 to 95.74.4.5495.74.4.556
13695.74.4.56/2995.74.4.57 to 95.74.4.6295.74.4.636
13795.74.4.64/2995.74.4.65 to 95.74.4.7095.74.4.716
13895.74.4.72/2995.74.4.73 to 95.74.4.7895.74.4.796
13995.74.4.80/2995.74.4.81 to 95.74.4.8695.74.4.876
14095.74.4.88/2995.74.4.89 to 95.74.4.9495.74.4.956
14195.74.4.96/2995.74.4.97 to 95.74.4.10295.74.4.1036
14295.74.4.104/2995.74.4.105 to 95.74.4.11095.74.4.1116
14395.74.4.112/2995.74.4.113 to 95.74.4.11895.74.4.1196
14495.74.4.120/2995.74.4.121 to 95.74.4.12695.74.4.1276
14595.74.4.128/2995.74.4.129 to 95.74.4.13495.74.4.1356
14695.74.4.136/2995.74.4.137 to 95.74.4.14295.74.4.1436
14795.74.4.144/2995.74.4.145 to 95.74.4.15095.74.4.1516
14895.74.4.152/2995.74.4.153 to 95.74.4.15895.74.4.1596
14995.74.4.160/2995.74.4.161 to 95.74.4.16695.74.4.1676
15095.74.4.168/2995.74.4.169 to 95.74.4.17495.74.4.1756
15195.74.4.176/2995.74.4.177 to 95.74.4.18295.74.4.1836
15295.74.4.184/2995.74.4.185 to 95.74.4.19095.74.4.1916
15395.74.4.192/2995.74.4.193 to 95.74.4.19895.74.4.1996
15495.74.4.200/2995.74.4.201 to 95.74.4.20695.74.4.2076
15595.74.4.208/2995.74.4.209 to 95.74.4.21495.74.4.2156
15695.74.4.216/2995.74.4.217 to 95.74.4.22295.74.4.2236
15795.74.4.224/2995.74.4.225 to 95.74.4.23095.74.4.2316
15895.74.4.232/2995.74.4.233 to 95.74.4.23895.74.4.2396
15995.74.4.240/2995.74.4.241 to 95.74.4.24695.74.4.2476
16095.74.4.248/2995.74.4.249 to 95.74.4.25495.74.4.2556
16195.74.5.0/2995.74.5.1 to 95.74.5.695.74.5.76
16295.74.5.8/2995.74.5.9 to 95.74.5.1495.74.5.156
16395.74.5.16/2995.74.5.17 to 95.74.5.2295.74.5.236
16495.74.5.24/2995.74.5.25 to 95.74.5.3095.74.5.316
16595.74.5.32/2995.74.5.33 to 95.74.5.3895.74.5.396
16695.74.5.40/2995.74.5.41 to 95.74.5.4695.74.5.476
16795.74.5.48/2995.74.5.49 to 95.74.5.5495.74.5.556
16895.74.5.56/2995.74.5.57 to 95.74.5.6295.74.5.636
16995.74.5.64/2995.74.5.65 to 95.74.5.7095.74.5.716
17095.74.5.72/2995.74.5.73 to 95.74.5.7895.74.5.796
17195.74.5.80/2995.74.5.81 to 95.74.5.8695.74.5.876
17295.74.5.88/2995.74.5.89 to 95.74.5.9495.74.5.956
17395.74.5.96/2995.74.5.97 to 95.74.5.10295.74.5.1036
17495.74.5.104/2995.74.5.105 to 95.74.5.11095.74.5.1116
17595.74.5.112/2995.74.5.113 to 95.74.5.11895.74.5.1196
17695.74.5.120/2995.74.5.121 to 95.74.5.12695.74.5.1276
17795.74.5.128/2995.74.5.129 to 95.74.5.13495.74.5.1356
17895.74.5.136/2995.74.5.137 to 95.74.5.14295.74.5.1436
17995.74.5.144/2995.74.5.145 to 95.74.5.15095.74.5.1516
18095.74.5.152/2995.74.5.153 to 95.74.5.15895.74.5.1596
18195.74.5.160/2995.74.5.161 to 95.74.5.16695.74.5.1676
18295.74.5.168/2995.74.5.169 to 95.74.5.17495.74.5.1756
18395.74.5.176/2995.74.5.177 to 95.74.5.18295.74.5.1836
18495.74.5.184/2995.74.5.185 to 95.74.5.19095.74.5.1916
18595.74.5.192/2995.74.5.193 to 95.74.5.19895.74.5.1996
18695.74.5.200/2995.74.5.201 to 95.74.5.20695.74.5.2076
18795.74.5.208/2995.74.5.209 to 95.74.5.21495.74.5.2156
18895.74.5.216/2995.74.5.217 to 95.74.5.22295.74.5.2236
18995.74.5.224/2995.74.5.225 to 95.74.5.23095.74.5.2316
19095.74.5.232/2995.74.5.233 to 95.74.5.23895.74.5.2396
19195.74.5.240/2995.74.5.241 to 95.74.5.24695.74.5.2476
19295.74.5.248/2995.74.5.249 to 95.74.5.25495.74.5.2556
19395.74.6.0/2995.74.6.1 to 95.74.6.695.74.6.76
19495.74.6.8/2995.74.6.9 to 95.74.6.1495.74.6.156
19595.74.6.16/2995.74.6.17 to 95.74.6.2295.74.6.236
19695.74.6.24/2995.74.6.25 to 95.74.6.3095.74.6.316
19795.74.6.32/2995.74.6.33 to 95.74.6.3895.74.6.396
19895.74.6.40/2995.74.6.41 to 95.74.6.4695.74.6.476
19995.74.6.48/2995.74.6.49 to 95.74.6.5495.74.6.556
20095.74.6.56/2995.74.6.57 to 95.74.6.6295.74.6.636
20195.74.6.64/2995.74.6.65 to 95.74.6.7095.74.6.716
20295.74.6.72/2995.74.6.73 to 95.74.6.7895.74.6.796
20395.74.6.80/2995.74.6.81 to 95.74.6.8695.74.6.876
20495.74.6.88/2995.74.6.89 to 95.74.6.9495.74.6.956
20595.74.6.96/2995.74.6.97 to 95.74.6.10295.74.6.1036
20695.74.6.104/2995.74.6.105 to 95.74.6.11095.74.6.1116
20795.74.6.112/2995.74.6.113 to 95.74.6.11895.74.6.1196
20895.74.6.120/2995.74.6.121 to 95.74.6.12695.74.6.1276
20995.74.6.128/2995.74.6.129 to 95.74.6.13495.74.6.1356
21095.74.6.136/2995.74.6.137 to 95.74.6.14295.74.6.1436
21195.74.6.144/2995.74.6.145 to 95.74.6.15095.74.6.1516
21295.74.6.152/2995.74.6.153 to 95.74.6.15895.74.6.1596
21395.74.6.160/2995.74.6.161 to 95.74.6.16695.74.6.1676
21495.74.6.168/2995.74.6.169 to 95.74.6.17495.74.6.1756
21595.74.6.176/2995.74.6.177 to 95.74.6.18295.74.6.1836
21695.74.6.184/2995.74.6.185 to 95.74.6.19095.74.6.1916
21795.74.6.192/2995.74.6.193 to 95.74.6.19895.74.6.1996
21895.74.6.200/2995.74.6.201 to 95.74.6.20695.74.6.2076
21995.74.6.208/2995.74.6.209 to 95.74.6.21495.74.6.2156
22095.74.6.216/2995.74.6.217 to 95.74.6.22295.74.6.2236
22195.74.6.224/2995.74.6.225 to 95.74.6.23095.74.6.2316
22295.74.6.232/2995.74.6.233 to 95.74.6.23895.74.6.2396
22395.74.6.240/2995.74.6.241 to 95.74.6.24695.74.6.2476
22495.74.6.248/2995.74.6.249 to 95.74.6.25495.74.6.2556
22595.74.7.0/2995.74.7.1 to 95.74.7.695.74.7.76
22695.74.7.8/2995.74.7.9 to 95.74.7.1495.74.7.156
22795.74.7.16/2995.74.7.17 to 95.74.7.2295.74.7.236
22895.74.7.24/2995.74.7.25 to 95.74.7.3095.74.7.316
22995.74.7.32/2995.74.7.33 to 95.74.7.3895.74.7.396
23095.74.7.40/2995.74.7.41 to 95.74.7.4695.74.7.476
23195.74.7.48/2995.74.7.49 to 95.74.7.5495.74.7.556
23295.74.7.56/2995.74.7.57 to 95.74.7.6295.74.7.636
23395.74.7.64/2995.74.7.65 to 95.74.7.7095.74.7.716
23495.74.7.72/2995.74.7.73 to 95.74.7.7895.74.7.796
23595.74.7.80/2995.74.7.81 to 95.74.7.8695.74.7.876
23695.74.7.88/2995.74.7.89 to 95.74.7.9495.74.7.956
23795.74.7.96/2995.74.7.97 to 95.74.7.10295.74.7.1036
23895.74.7.104/2995.74.7.105 to 95.74.7.11095.74.7.1116
23995.74.7.112/2995.74.7.113 to 95.74.7.11895.74.7.1196
24095.74.7.120/2995.74.7.121 to 95.74.7.12695.74.7.1276
24195.74.7.128/2995.74.7.129 to 95.74.7.13495.74.7.1356
24295.74.7.136/2995.74.7.137 to 95.74.7.14295.74.7.1436
24395.74.7.144/2995.74.7.145 to 95.74.7.15095.74.7.1516
24495.74.7.152/2995.74.7.153 to 95.74.7.15895.74.7.1596
24595.74.7.160/2995.74.7.161 to 95.74.7.16695.74.7.1676
24695.74.7.168/2995.74.7.169 to 95.74.7.17495.74.7.1756
24795.74.7.176/2995.74.7.177 to 95.74.7.18295.74.7.1836
24895.74.7.184/2995.74.7.185 to 95.74.7.19095.74.7.1916
24995.74.7.192/2995.74.7.193 to 95.74.7.19895.74.7.1996
25095.74.7.200/2995.74.7.201 to 95.74.7.20695.74.7.2076
25195.74.7.208/2995.74.7.209 to 95.74.7.21495.74.7.2156
25295.74.7.216/2995.74.7.217 to 95.74.7.22295.74.7.2236
25395.74.7.224/2995.74.7.225 to 95.74.7.23095.74.7.2316
25495.74.7.232/2995.74.7.233 to 95.74.7.23895.74.7.2396
25595.74.7.240/2995.74.7.241 to 95.74.7.24695.74.7.2476
25695.74.7.248/2995.74.7.249 to 95.74.7.25495.74.7.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses